/* Header */
header {
    position: fixed;
    z-index: 11;
    top: 0;
    width: 100%;
    background: rgba(3, 3, 3, 0.2);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    overflow: visible !important;
    transition: height .5s ease;
    height: 101px;
}
header.flota {
    z-index: 12;
    height: 77px;
}
header .logo {
    display: inline-block;
    transition: all 1s ease;
    margin: 22px 0;
    max-width: 205px;
}
header .logo img:last-child {
    display: none;
}
header.flota .logo {
    margin: 10px 0;
}
header .container,
header .row,
header .col {
    isolation: isolate; /* O prueba con 'none' si persiste */
    transform: none !important;
    perspective: none !important;
    filter: none !important;
}
/*Menu*/
header nav{
    margin: 0 0;
    padding: 0;
    transition: all 1.5s ease;
}
header nav > ul {
    margin: 0;
    align-items: center;
}
header nav > ul > li {
    padding: 0;
    position: relative;
}
header nav > ul > li + li {
    padding-left: 26px;
}
header nav > ul > li > a {
    font-size: 15px;
    font-family: 'Poppins' !important;
    font-weight: 600;
    color: var(--colorTexto);
    display: block;
    transition: all 0.5s ease;
    line-height: 1;
}
header.flota nav > ul > li > a {
    color: var(--colorBlanco);
}
header nav > ul > li:hover > a,
header nav > ul > li.active > a,
header nav > ul > li > a:focus {
    color: var(--colorBlanco);
}
nav > ul > li > ul {
    display: none;
}
.submenu-flotante {
    position: fixed;
    top: 105px;
    background: rgba(3, 3, 3, 0.2);
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
    max-width: 667px;
    width: 100%;
    transform: translateX(calc(600px - 667px));
    left: 50%;
    padding: 0 20px;
    border-radius: 10px;
    z-index: 11;
    transition: all 1s ease;
    height: 0;
    overflow: hidden;
}
.submenu-flotante.aparecer {
    height: 240px;
    padding: 20px;
}
.submenu-flotante.flota {
    top: 81px;
}
.submenu-flotante p {
    font-size: 12px;
    color: var(--colorTexto);
}
.submenu-flotante a {
    max-width: 307px;
    width: 100%;
    display: block;
    color: var(--colorTexto);
    background-color: transparent;
    position: relative;
    font-size: 12px;
    line-height: 1.2;
    transition: all 0.5s ease;
    padding: 8px;
    border-radius: 8px;
}
.submenu-flotante a:hover,
.submenu-flotante a.active {
    background-color: rgba(66, 66, 66, .3);
}
.submenu-flotante a div {
    width: 34px;
    height: 34px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    transition: all 0.5s ease;
    position: relative;
    overflow: hidden;
}
.submenu-flotante a div::before{
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(161deg, var(--color4) 20.6%, var(--color6) 100%);
    opacity: 0;
    transition: all 0.5s ease;
    z-index: 0;
}
.submenu-flotante a:hover div::before,
.submenu-flotante a.active div::before {
    opacity: 1;
}
.submenu-flotante a div img {
    position: relative;
}
.submenu-flotante a strong {
    color: var(--colorBlanco);
    display: block;
}

/*Pie de página*/
footer {
    background-color: var(--colorPagina);
}
footer .container {
    padding: 75px 0 10px;
}
footer > div::before {
    content: '';
    background: linear-gradient(to right, #030303, #242424, #030303);
    width: 100%;
    height: 2px;
    position: absolute;
    left: 0;
    top: 0;
}
footer p {
    font-size: 15px;
    color: var(--colorTexto);
    padding-bottom: 15px;
}
footer p.popib {
    font-size: 12px;
    color: var(--colorBlanco);
}
footer p.iconoF {
    padding-left: 20px;
    position: relative;
}
footer p.iconoF i {
    position: absolute;
    left: 0;
    top: 3px;
}
footer ul > li > a {
    font-size: 14px;
    color: var(--colorTexto);
}
footer ul > li > a:hover {
    color: var(--colorBlanco);
}
footer ul > li + li {
    padding-top: 15px;
}
footer ul > li > ul {
    overflow: hidden;
    height: 0;
}
footer ul > li > ul.activo {
    height: 160px;
    padding-top: 10px;
    padding-left: 10px;
}
footer ul > li > ul > li + li {
    padding-top: 5px;
}
footer .redes a {
    border-radius: 50%;
    font-size: 15px;
    color: var(--colorBlanco);
    text-align: center;
    background-color: #141414;
    border: 1px solid #242424;
    width: 30px;
    line-height: 28px;
    text-align: center;
}
footer .redes a:hover {
    color: var(--colorBlanco);
    background-color: #6600FF;
}
footer p.pe {
    margin-top: 30px;
    padding-top: 10px;
    font-size: 14px;
}
footer p.pe span {
    font-size: 14px;
}
footer p.pe a {
    color: var(--colorBlanco);
}

@media (min-width: 1626px) {
    .submenu-flotante {
        left: 50%;
        transform: translateX(calc(798px - 667px));
    }
}
@media (max-width: 1260px) {
    .submenu-flotante {
        left: auto;
        right: 15px; /* Margen de cortesía con el borde de la pantalla */
        transform: translateX(calc(50% - 667px));
    }
}

/* Tablet y Movil */
@media screen and (max-width: 1130px){

}
/* Tablet y Movil */
@media screen and (max-width: 980px){
    header,
    header.flota {
        height: 67px;
    }
    header.conmenu {
        height: 100dvh;
    }
    header .animar-hover {
        display: block;
        position: absolute;
        bottom: 16px;
        left: 0;
        right: 0;
        margin: auto;
        max-width: calc(100% - 30px);

        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transition: opacity .3s ease;
    }

    header.conmenu .animar-hover {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
        transition-delay: .5s; /* Espera a que termine el header */
    }

    header:not(.conmenu) .animar-hover {
        transition-delay: 0s;
    }
    header .logo {
        margin: 9px 0;
    }
    header .logo img:first-child {
        display: none;
    }
    header .logo img:last-child {
        display: block;
    }
    .menu_bar {
        display: block;
        width: 30px;
        height: 30px;
    }
    .menu_bar a {
        width: 30px;
        height: 30px;
        background: url(../img/iconos/menua.png) no-repeat;
        background-position: center;
    }
    .menu_bar a.activo {
        background-image: url(../img/iconos/menuc.png);
    }
    /*Menu*/
    header nav{
        display: block;
        position: absolute;
        z-index: 99;
        width: 100%;
        left: 0;
        top: 80px;
        padding: 0 0 0 20px;
        margin: 0;
        border-radius: 0;

        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transition: opacity .3s ease;
    }
    header.conmenu nav {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;

        /* Espera a que el header termine de expandirse */
        transition-delay: .3s;
    }

    header:not(.conmenu) nav {
        transition-delay: 0s;
    }
    header nav > ul {
        flex-flow: column;
        align-items: stretch;
        gap: 15px !important;
        border-bottom: 0;
    }
    header nav ul li {
        border-top: 0;
        text-align: left;
    }
    header nav > ul > li + li {
        padding-left: 0;
    }
    header nav > ul > li > a {
        line-height: 1.2;
        color: var(--colorBlanco);
        background-color: transparent;
        border-bottom: 0;
        padding: 0;
        text-align: left;
        display: inline-block;
    }
    header nav > ul > li:hover > a,
    header nav > ul > li> a:focus,
    header nav > ul > li.active > a{
        color: var(--colorBlanco);
        background: transparent;
    }
    /*Sub Menu*/
    nav > ul > li > ul {
        position: relative;
        width: 100%;
        left: 0;
        padding: 10px 0 0;
        box-shadow: none;
        top: 0;
        background: transparent;
        transition: none;
        text-align: left;
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    nav > ul > li > ul > li {
        display: block;
        margin: 0;
    }
    nav > ul > li > ul > li > a {
        display: flex;
        font-size: 12px;
        position: relative;
        color: var(--colorBlanco);
        gap: 10px;
    }
    nav > ul > li > ul > li > a div {
        width: 34px;
        height: 34px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 8px;
        transition: all 0.5s ease;
        position: relative;
        overflow: hidden;
    }
    nav > ul > li > ul > li > a div::before{
        content: '';
        position: absolute;
        inset: 0;
        background: linear-gradient(161deg, var(--color4) 20.6%, var(--color6) 100%);
        opacity: 1;
        transition: all 0.5s ease;
        z-index: 0;
    }
    nav > ul > li > ul > li > a div img {
        position: relative;
    }
    nav > ul > li > ul > li:hover > a,
    nav > ul > li > ul > li.active > a{
        color: var(--colorBlanco);
        background: transparent;
    }
}
@media screen and (max-width: 768px){
}